param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$tejasIP)

# Return Value
$returnval = @()
$temp = @("null") 
$VMMobj = @()
$temp = @()


#$DelUserName='tejas\administrator'
#$DelPwd='Dell_123$'
#$VMMServer='scvmm'
#$UserName = 'tejas\administrator'
#$Password = 'Dell_123$'

# Create obj
Function Createcredobj($username, $passwd)
{

    try
    {
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
        $mycredsobj = $null
    }

    return $mycredsobj

}

#import SCVMM related cmdlets
import-module virtualmachinemanager

# Create SCVMM Cred obj    
	
    $scvmmcreds = Createcredobj $DomainUsername $DelPwd
    if ( $scvmmcreds -eq $null)
    {
        $returnval = $returnval + "FAIL"
		$returnval = $returnval + "Could not create credentail object for the given SCVMM user"
        return $returnval
    }
	$IsVMM=0;
    $IsCMError=0
    try 
    {
        $VMMobj = Get-SCVMMServer -ComputerName $ComputerName -Credential $scvmmcreds
	    #$returnval = $VMMServer
		if ( $VMMobj -ne $null)
		{
			$IsVMM=1;
		}
		else
		{
			$IsVMM=0;
		}
    }
    catch [exception]
    {
		$IsVMM=0;
    }

	#if($IsVMM -eq 0){
			  
	#}

    if ( $VMMobj -eq $null)
    {
        if($IsCMError -eq 0)
        {
            $returnval = $returnval + "FAIL"
            $returnval = $returnval + " Not a Valid User"
        }
        else
        {
            $returnval = $returnval + "FAIL"
            $returnval = $returnval + $errmsg
			
        }
		write-host "User authentication failed"
		write-host "Returning from AuthenticateUserSCVMM : " +$returnval
		return $returnval
       
    }
	else
    {
    	$returnjson="Status:Authenticated,Server:"+$computerName
		$returnval = $returnval + "SUCCESS"+ $returnjson
		
		write-host "User authenticated successfully"
		write-host "Returning from AuthenticateUserSCVMM : " +$returnval
		return $returnval


    }