param($VMMServer,$DomainUsername,$DelPwd,$tejasFQDN,$RunAsAccName)
# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program
    #$DelUserName 
    #$DelPwd
    #$RunAsAccName
    #$VMMServer
# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program

#######  TEST from powershell prompt ###################
## For Debugging directly in the power shell IDE ...uncomment below lines 
#test
$debug1 = 1
Function test()
{
   # $DelUserName='vmmdomain\administrator'
   # $DelPwd='dell_123'
   # $RunAsAccName='test'
   # $VMMServer='scvmm'
    
   # import-module "C:\\Program Files\\Microsoft System Center 2012\\Virtual Machine Manager\\bin\\psModules\\virtualmachinemanager"
  
}

## For Debugging directly in the power shell IDE ...uncomment below lines 



# Create Credential obj
Function Createcredobj($username, $passwd)
{

    try
	{
		
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
		# handling of exception and returning back is having some issues 
        #$errorMessage = $Error[0].exception
        if ($debug1 -eq 0)
        {
            write-host "inside catch"
        }
    }

    return $mycredsobj

}



# Return Value
# 
 $returnval = @()
 
 if ($debug1 -eq 0)
{
	#write-host "SCVMM Server, RunAsAccountName, VMMConnectionUserName,VMMConnectionPassword"
    write-host $VMMServer $RunAsAccName $DelUserName $DelPwd
}
  
 #import SCVMM related cmdlets
import-module virtualmachinemanager
   
# Create SCVMM Cred obj    
    $scvmmcreds = Createcredobj $DomainUsername $DelPwd
   
    # A user can have mutiple role, in Tejasconext we are connecting always as DelegatedAdmin Role.
    $VMMobj = Get-SCVMMServer -ComputerName $VMMServer -Credential $scvmmcreds 
    if ( $VMMobj -eq $null)
    {
        $returnval = $returnval + "FAIL"
        $returnval = $returnval + "Status:SCVMM host not reachable"
        
    }
	else
    {
	#SCVMMHost reachable	
        $RunAsAccount = Get-SCRunAsAccount -Name $RunAsAccName
        if($RunAsAccount.Name -ne	 $null)
        {
        # Runasaccount already exists, so proceeding with deletion.
			Try
			{
					$ErrorActionPreference = "Stop";
					$var=Get-SCRunAsAccount -Name $RunAsAccName | Remove-SCRunAsAccount
					$var=Get-SCRunAsAccount -Name $RunAsAccName 
					if($var -eq $null)
					{
						# RunAs account is deleted successfully
						$returnval = $returnval + "SUCCESS"
						$returnval = $returnval + "Status:SCVMM Operation Completed Successfully,Deletion of Run as Account SuccessFull"
						
					}
			}
			Catch [system.exception]
            {
                 # RunAs account is deleted sucessfully
                   $returnjson="Status:User is ReadOnly User "+$_.Exception.Message
                   $returnval = $returnval + "FAIL"
                   $returnval = $returnval + $returnjson
                        
            }
		# end of If-Runasaccount already exists, so proceeding with deletion.
        }
        else
        {
		#If RunAsAccount does not exist
            $returnval = $returnval + "SUCCESS"
            $returnval = $returnval + "Status:SCVMM Operation Completed Successfully, Run as Account does not Exist"
                        
		#end of else (runAsaccountExistence)
        }
    #end of else 
    }

if ($debug1 -eq 0)
{
    write-host $returnval
}


return $returnval