param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$tejasIP)

# Return Value
$returnval = @()
$temp = @("null") 
$VMMobj = @()
$temp = @()

Function Createcredobj($username, $passwd)
{

    try
    {
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
        $mycredsobj = $null
    }

    return $mycredsobj

}

$sccmcreds = Createcredobj $DomainUsername $DelPwd
$Server = $ComputerName.Split('.')[0]
$VMMobj = Invoke-Command -ComputerName $Server -Credential $sccmcreds -ConfigurationName Microsoft.PowerShell32 -ScriptBlock {
                   
	Import-Module -Name "$(split-path $Env:SMS_ADMIN_UI_PATH)\ConfigurationManager.psd1"
	$PSD = Get-PSDrive -PSProvider CMSite
	 if($PSD -eq $null){
		New-PSDrive -Name "LOCAL" -PSProvider CMSite -Root $args[0]
		$PSDN = Get-PSDrive -PSProvider CMSite -Name "LOCAL"
		$SiteCode= CD "$($PSDN):"
	}else{
	      $SiteCode= CD "$($PSD):"	
	}
	return Get-CMSite
			       
}-Args $ComputerName -ErrorVariable errmsg  2>$null

If (![string]::IsNullOrWhiteSpace($errmsg)){
	$VMMobj=$null
        $IsCMError = 1
}

 if ( $VMMobj -eq $null)
    {
        if($IsCMError -eq 0)
        {
            $returnval = $returnval + "FAIL"
            $returnval = $returnval + " Not a Valid User"
        }
        else
        {
            $returnval = $returnval + "FAIL"
            $returnval = $returnval + $errmsg
		}
		return $returnval
       
    }
	else
    {
		$returnjson="Status:Authenticated,Server:"+$computerName
		$returnval = $returnval + "SUCCESS" +$returnjson
        return $returnval


    }