﻿#$SCVMMServerFQDN = "SCVMM.tejas.com"
#$SCVMMAdminUser = "tejas\administrator"
#$SCVMMAdminPWD="Dell_123$"

#$Credential = Get-Credential -Credential $SCVMMAdminUser
#$TejasFQDN = "tejas.com"
#$TejasID = "!@#$%"


# Create obj
Function Createcredobj($username, $passwd)
{

    try{
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
		$mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
		#$Error
    }
    catch
    {
		# handling of exception and returning back is having some issues 
        #$errorMessage = $Error[0].exception
        if ($debug1 -eq 0)
        {
            write-host " Error connecting SCVMM Server"
        }
    }

    return $mycredsobj

}

$Credential = Createcredobj $SCVMMAdminUser $SCVMMAdminPWD
write-host $SCVMMServerFQDN  +  $SCVMMAdminUser + $SCVMMAdminPWD
  # A user can have mutiple role, in Tejasconext we are connecting always as DelegatedAdmin Role.
    $VMMobj = Get-SCVMMServer -ComputerName $SCVMMServerFQDN -Credential $Credential
    if ( $VMMobj -eq $null)
    {
        $returnval = $returnval + "-7"
        $returnval = $returnval + "SCVMM host not reachable"
    }
	else
	{
		$returnval = $returnval + "0"
        $returnval = $returnval + "SCVMM Operation Completed Successfully"
     }       

  if ($debug1 -eq 0)
 {
    write-host "Connected to SCVMM Server Successfully"
    write-host $returnval
 }
 return $returnval