param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$otherInfo)

<#
$ComputerName = "sccmsharu1.mydomain.com"
$DomainUsername = "mydomain\administrator"
$DelPwd = "Dell_123$"
$tejasFQDN = "tejas1137.mydomain.com"			
$otherInfo ="LCDRIVER,helloworld,Dell_123$,mydomain,administrator"
#>

$otherInfo = $otherInfo -replace "\\n\\r", " "
#splitting other info to variables
$subShare=$otherInfo.split(",")[0]
$shareGuid=$otherInfo.split(",")[1]
$AccPassword=$otherInfo.split(",")[2]
$AccDomain=$otherInfo.split(",")[3]
$AccUser=$otherInfo.split(",")[4]
$returnValue = @()

$fqdUser=$AccDomain+"\"+$AccUser
#taking the Present working directory as the share root path
$VGSharePath=[System.IO.Path]::GetTempPath()

try{
	if($VGSharePath -eq $null){
	
		$returnJson="Status:PWD not found, VGSharePath is null "+$_.Exception.Message+",Code:"+$Exception_Code
		$returnValue = $returnValue + "FAIL"
		$returnValue = $returnValue + $returnJson
		
    	return $returnValueue
	}else{
		$VGCompleteSharePath = join-path $VGSharePath $shareGuid

		if(Test-Path -path $VGCompleteSharePath){
			#remove the path 
            		$removePath= Remove-Item -Recurse -Force $VGCompleteSharePath
             
            		$result=WmiObject Win32_share | Where {$_.name -Like $shareGuid}
            		if( $result -ne $null){
                		$removeSMB= Remove-SmbShare -Name $shareGuid -Force
            		}
		}
		#Create new Directory

            $createGUIDFolder= New-Item -Path $VGCompleteSharePath -Type Directory -Force
            if(Test-Path -path $createGUIDFolder){
            		#create SMB share in WMI
                     $path= join-path $VGSharePath $shareGuid

			#md $path
			## Kill all inherited permissions
			$acl = Get-Acl $path
			$acl.SetAccessRuleProtection($true, $false)

			## Grant Administrators full control to domain
			<#$domainAdministrators = [System.Security.Principal.NTAccount] $AccDomain, $AccUser
			$permission = $domainAdministrators,"FullControl","ObjectInherit,ContainerInherit","None","Allow"
			$accessRule = New-Object System.Security.AccessControl.FileSystemAccessRule $permission
			$acl.AddAccessRule($accessRule)#>
			## Grant Administrators full control
			$administrators = [System.Security.Principal.NTAccount] "Administrators"
			$permission = $administrators,"FullControl","ObjectInherit,ContainerInherit","None","Allow"
			$accessRule = New-Object System.Security.AccessControl.FileSystemAccessRule $permission
			$acl.AddAccessRule($accessRule)

			## Grant everyone else Write and ReadAttributes. This prevents users from listing
			## transcripts from other machines on the domain.
			$everyone = [System.Security.Principal.NTAccount] "Everyone"
			$permission = $everyone,"FullControl","ObjectInherit,ContainerInherit","None","Allow"
			$accessRule = New-Object System.Security.AccessControl.FileSystemAccessRule $permission
			$acl.AddAccessRule($accessRule)

			## Deny "Creator Owner" everything. This prevents users from
			## viewing the content of previously written files.
			$creatorOwner = [System.Security.Principal.NTAccount] "SYSTEM"
			$permission = $creatorOwner,"FullControl","ObjectInherit,ContainerInherit","None","Allow"
			$accessRule = New-Object System.Security.AccessControl.FileSystemAccessRule $permission
			$acl.AddAccessRule($accessRule)
             
			## Set the ACL
			$acl | Set-Acl $path

			## Create the SMB Share, granting Everyone the right to read and write files. Specific
			## actions will actually be enforced by the ACL on the file folder.
			$createGUIDSMBShare =New-SmbShare -Name $shareGuid -Path $path -ChangeAccess Everyone
			#$createGUIDSMBShare=New-SMBShare Name $shareGuid Path $VGCompleteSharePath Fullaccess $fqdUser
            		$Permission=Grant-SmbShareAccess -Name $shareGuid -AccountName $fqdUser -AccessRight Full -Force
            		if($createGUIDSMBShare -ne $null){
                		$returnJson="Status:Creation of SmbShare " + $VGCompleteSharePath + " Successfull"
		 	    	$returnValue = $returnValue + "SUCCESS"
			    	$returnValue = $returnValue + $returnJson

                
            		}
            		else{
                		$returnJson="Status:Creation of SmbShare " + $VGCompleteSharePath + " Failed"
                		$returnValue = $returnValue + "FAIL"
			    	$returnValue = $returnValue + $returnJson
                 
            		}

	     }
           else{
                $returnJson="Status:Creation of SmbShare " + $VGCompleteSharePath + " Failed"
                $returnValue = $returnValue + "FAIL"
			    $returnValue = $returnValue + $returnJson
          }
     
		
	}
}catch{
	$returnJson="Status:"+$_.Exception.Message
	$returnValue = $returnValue + "FAIL"
	$returnValue = $returnValue + $returnJson
}
return $returnValue