param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$operationdetails)

#var =\"+$operationdetails+\"
# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program
    #$DelUserName 
    #$DelPwd
    #$RunAsAccName
    #$RunAsUserName
    #$RunAsPwd
    #$VMMServer
	#$RunAsDesc

# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program

#######  TEST from powershell prompt ###################
## For Debugging directly in the power shell IDE ...uncomment below lines 
#test
#$debug1 = 1
#Function test()
#{
   # $DelUserName='vmmdomain\administrator'
   # $DelPwd='dell_123'
   # $RunAsAccName='test'
   # $RunAsUserName='root'
   # $RunAsPwd='calvin'
   # $VMMServer='scvmm'
   # $RunAsDesc='temp description'
    
   # import-module "C:\\Program Files\\Microsoft System Center 2012\\Virtual Machine Manager\\bin\\psModules\\virtualmachinemanager"
  
#}

## For Debugging directly in the power shell IDE ...uncomment below lines 

# Create obj
Function Createcredobj($username, $passwd)
{

    try{
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
		# handling of exception and returning back is having some issues 
        #$errorMessage = $Error[0].exception
        if ($debug1 -eq 0)
        {
            write-host "inside catch"
        }
    }

    return $mycredsobj

}



# Return Value
# 
 $returnval = @()
 


 
# Create Runas account cred object 
	$operationdetails = $operationdetails -replace "\\n\\r", " "
	$RunAsAccName=$operationdetails.split(",")[0]
	$RunAsPwd=$operationdetails.split(",")[1]
	$RunAsUserName=$operationdetails.split(",")[2]
	$RunAsDesc=$operationdetails.split(",")[3]	
	#write-output "Acc Name: "+ $RunAsAccName + " Account Description: "+$RunAsDesc
	
    $mycreds = Createcredobj $RunAsUserName $RunAsPwd
 
 #import SCVMM related cmdlets
import-module virtualmachinemanager  
    
# Create SCVMM Cred obj    
    $scvmmcreds = Createcredobj $DomainUsername $DelPwd
    # A user can have mutiple role, in Tejasconext we are connecting always as DelegatedAdmin Role.
    $VMMobj = Get-SCVMMServer -ComputerName $ComputerName -Credential $scvmmcreds 
	if ( $VMMobj -eq $null)
    {
        $returnval = $returnval + "FAIL"
        $returnval = $returnval + "Status:SCVMM host not reachable"
    }
	else
    {
		
        $RunAsAccount = Get-SCRunAsAccount -Name $RunAsAccName
		if($RunAsAccount.Name -ne $null)
        {
            # Runasaccount already exists, so no need to created.
            $returnval = $returnval + "SUCCESS"
            $returnval = $returnval + "Status:SCVMM Operation Completed Successfully,Run as Account already Exists, with the same name"
            write-host "Run as Account already Exists, with the same name"
            
        }
        else
        {
			Try{
                $ErrorActionPreference = "Stop";
            $RunAsAccount = New-SCRunAsAccount -Name $RunAsAccName -Credential $mycreds -Description ($RunAsDesc) -VMMServer $VMMobj
			if($RunAsAccount.Name -eq $RunAsAccName)
            {
               # RunAs account is created sucessfully
               $returnval = $returnval + "SUCCESS"
               $returnval = $returnval + "SCVMM Operation Completed Successfully,Creation of Run as Account Successful"
               write-host "RunAs account is created successfully"
                
            }
			}
			  Catch [system.exception]
                {
                          
                 # RunAs account is created sucessfully
		   $returnjson="Status:User is ReadOnly User"+$_.Exception.Message
                   $returnval = $returnval + "FAIL"
                   $returnval = $returnval + $returnjson
                   write-host "RunAs account creation is failed"
                    
                }
        }
    }

write-host "Returning from Create RunAsAcc : " +$returnval
return $returnval