param($VMMServer,$DelUserName,$DelPwd,$tejasFQDN,$replaceJobGUID)
# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program
    #$DelUserName 
    #$DelPwd
    #$VMMServer
	
	#$replaceJobGUID

# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program

#######  TEST from powershell prompt ###################
## For Debugging directly in the power shell IDE ...uncomment below lines 
#test
$debug1 = 1
Function test()
{
   # $DelUserName='Tejas\administrator'
   # $DelPwd='Dell_123$'
   # $VMMServer='scvmm'
   $replaceJobGUID = "a6d86ef9-ea5a-4312-8d5f-67d80a146822"
      
   # import-module "C:\\Program Files\\Microsoft System Center 2012\\Virtual Machine Manager\\bin\\psModules\\virtualmachinemanager"
  
}

## For Debugging directly in the power shell IDE ...uncomment below lines 

# Create obj
Function Createcredobj($username, $passwd)
{

    try{
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
		# handling of exception and returning back is having some issues 
        #$errorMessage = $Error[0].exception
        if ($debug1 -eq 0)
        {
            write-host "inside catch"
        }
    }

    return $mycredsobj

}
import-module virtualmachinemanager
# Return Value
# 
 $returnval = @()

# remove this at end of Unit Test drop 

if ($debug1 -eq 0)
{
	write-host "Params passed - "
	write-host $VMMServer $DelUserName $DelPwd $replaceJobGUID 
    write-host $VMMServer $DelUserName $DelPwd $replaceJobGUID 
}
 
# Create SCVMM Cred obj    
    $scvmmcreds = Createcredobj $DelUserName $DelPwd
   
    # A user can have mutiple role, in Tejasconext we are connecting always as DelegatedAdmin Role.
    $VMMobj = Get-SCVMMServer -ComputerName $VMMServer -Credential $scvmmcreds 
    if ( $VMMobj -eq $null)
    {
        $returnval = $returnval + "FAIL"
        $returnval = $returnval + "-7,SCVMM host not reachable"
    }
	else
    {
	    # do valid stuff
		#$ErrorActionPreference = "Stop";

          	try
            {
            	[Threading.Thread]::CurrentThread.CurrentUICulture = 'en-us'		
                $jobId = [GUID]$replaceJobGUID
                $jobObject = Get-ScJob -ID $jobId

				$att1 = $att2 = $att3 = $att4 = $att5 = $att6 = $att7 = $att8 = $att9 = $att10 = $att11 = $att12 = "Empty"

				if ( $jobObject.ErrorInfo.ErrorType -ne $null)
				{
					$att1 = $jobObject.ErrorInfo.ErrorType
				}
				if ( $jobObject.ErrorInfo.Problem -ne $null)
				{
					$att2 = $jobObject.ErrorInfo.Problem
				}
				if ( $jobObject.ErrorInfo.DisplayableErrorCode -ne $null)
				{
					$att3 = $jobObject.ErrorInfo.DisplayableErrorCode
				}
				if ( $jobObject.CmdletName -ne $null)
				{
					$att4 = $jobObject.CmdletName
				}
				if ( $jobObject.CurrentStep.Description.Name -ne $null)
				{
					$att5 = $jobObject.CurrentStep.Description.Name
				}
				if ( $jobObject.CurrentStep.Description.Code -ne $null)
				{
					$att6 = $jobObject.CurrentStep.Description.Code
				}
				if ( $jobObject.IsCompleted -ne $null)
				{
					$att7 = $jobObject.IsCompleted
				}
				if ( $jobObject.Name -ne $null)
				{
					$att8 = $jobObject.Name
				}
				if ( $jobObject.ProgressValue -ne $null)
				{
					$att9 = $jobObject.ProgressValue
				}
				if ( $jobObject.ResultName -ne $null)
				{
					$att10 = $jobObject.ResultName
				}
				if ( $jobObject.StatusString -ne $null)
				{
					$att11 = $jobObject.StatusString
                }
				<#
				$returnval = $returnval + "SUCCESS"
				$returnval = $returnval + $att1
				$returnval = $returnval + $att2
				$returnval = $returnval + $att3
			    $returnval = $returnval + $att4
				$returnval = $returnval + $att5
				$returnval = $returnval + $att6
				$returnval = $returnval + $att7
				$returnval = $returnval + $att8
			    $returnval = $returnval + $att9
                $returnval = $returnval + $att10
                $returnval = $returnval + $att11
				#>
				$returnJson="ErrorType:$att1,Problem:$att2,DisplayableErrorCode:$att3,CmdletName:$att4,DescriptionName:$att5,DescriptionCode:$att6,IsCompleted:$att7,Name:$att8,ProgressValue:$att9,ResultName:$att10,StatusString:$att11"
				$returnval = $returnval + "SUCCESS"
                $returnval = $returnval + $returnJson
				write-host "Job status obtained successfully"
				write-host "Returning from GetJobStatus : " +$returnval
			}
			catch [system.exception]
            {
                   $returnval = $returnval + "FAIL"
                   $returnval = $returnval + "-13,Exception in job query"  
				   write-host "Exception occurred while getting the job status"
				   write-host "Returning from GetJobStatus : " +$returnval
            }
	}

return $returnval