param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$operationdetails)

# Return Value



$WimPath=$operationdetails.split(",")[6]
#$DelPwd="Dell_123$"
$DelUserName=$DomainUsername
$VMMServerHost=$ComputerName
$DTKPath=$operationdetails.split(",")[3]
$vgUserDomain=$operationdetails.split(",")[1]
$vgUserName=$operationdetails.split(",")[2]
$vgPassword=$operationdetails.split(",")[0]
$CustomIsoName=$operationdetails.split(",")[7]
$JobName=$operationdetails.split(",")[4]

<#
$WimPath="\\100.96.32.162\wim\boot.wim"
$DelPwd="Dell_123$"
$DelUserName="mydomain\administrator"
$VMMServerHost="ws2016pxe.mydomain.com"
$DTKPath="\\100.96.32.162\dtk"
$vgUserDomain="mydomain"
$vgUserName="administrator"
$vgPassword="Dell_123$"
$CustomIsoName="custom.wim"
$JobName="Job_20171201031422349"
#>


############### CONSTANTS ###########################


Function GetADKPath($arg){
$ADKPATH= @()
$ErrorActionPreference = "stop"


Try {

     $ADKPATH =(Get-ItemProperty -Path 'HKLM:\SOFTWARE\WOW6432Node\Microsoft\Windows Kits\Installed Roots' -Name "KitsRoot10").KitsRoot10

}

Catch [System.Management.Automation.PSArgumentException]

{

      Try {

           $ADKPATH = (Get-ItemProperty -Path 'HKLM:\SOFTWARE\Microsoft\Windows Kits\Installed Roots' -Name "KitsRoot81").KitsRoot81 

        }

        Catch [System.Management.Automation.PSArgumentException]

        {


              Try {

                $ADKPATH = (Get-ItemProperty -Path 'HKLM:\SOFTWARE\Microsoft\Windows Kits\Installed Roots' -Name "KitsRoot").KitsRoot 

                }

                Catch [System.Management.Automation.PSArgumentException]

                 {

                   $ADKPATH ="ADK not installed"
  
  
                }
  
  
        }
  
 }


Finally { $ErrorActionPreference = "Continue" }
write-host "ADKPATH: " $ADKPATH
	return $ADKPATH
}

Function CheckIfWimPathOrIsoExist($updatedWimFilePath){
$updatedWimFolderName= @()
$vGSharePath= [System.IO.Path]::GetDirectoryName($WimPath)

write-host "Entering CheckIfWimPathOrIsoExist: " 
$extn= $CustomIsoName.Substring($CustomIsoName.length - $isoExtn.length);

    #Check if the destination wim folder with the name of custom iso already exists.If exists fail the winpe job and ask the user to manually delete the folder.
                   
    if($extn.toLower().equals($isoExtn.toLower()) -or $extn.toLower().equals($WIMEXTN.toLower()) ){
        #strip out ".iso" or ".wim"
        $updatedWimFolderName = $CustomIsoName.Remove($CustomIsoName.Length - $isoExtn.Length, $isoExtn.Length);
    }                    
    else
    {
        $updatedWimFolderName = $CustomIsoName;
    }
    $updatedWimFilePath = [io.path]::combine($vGSharePath,$updatedWimFolderName);
    write-host "updated WimFilePath is: "  $updatedWimFilePath
    #Folder already exists 
    [string]$customIsoPath = [io.path]::combine($vGSharePath, $CustomIsoName);
    write-host "Updated Wim File path And custom ISo folders are: "  $updatedWimFilePath  " "  $customIsoPath
               
    try{
        if ((Test-Path $updatedWimFilePath) -Or (Test-Path $customIsoPath -PathType leaf) )
        {
           write-host "Either updated Wim File path Or the custom Iso folder is already present.Job will be failed"
                     
            return $true
        }
        else
        {
            write-host "Folder does not exist"
            return $false
         } 
     }
     catch [system.exception]{
        write-host "Permission Denied"
        return $true
     }                  

}


Function DtkDellFolder($arg)
{                     
    return Test-Path ([io.path]::combine($DTKPath,"Dell"))
}
Function checkInputParamExist($arg)
{
    write-host "Entering CheckInputParamExist: "
    #$vGSharePath = [System.IO.Path]::GetDirectoryName($WimPath)
    #Get the path of log folder.This is where the wim will be copied and mounted for driver injection.
    #$basePathToMount = [io.path]::combine($vGSharePath)
    if ( (Test-Path $WimPath -PathType leaf) -and( Test-Path $DTKPath))
    {
        #Check if its a wim file
        $dtkTilldellFolder = [io.path]::combine($DTKPath, $dellFolder);
        $fileName = Split-Path -Path $WimPath -Leaf
        write-host "FileName "  $fileName
        $ret = DtkDellFolder "Dummy"
        if ($fileName.ToLower().Contains(".wim") -and ($ret -eq $True))
        {
            write-host "DTK Path till Dell folder "  $dtkTilldellFolder
            return $true
        }
        else
        {
            return $false
        }
    }
    else
    {
        return $false
    }

}

Function PerformWinPeUpdate($arg)
{
   write-host "PerformWinPeUpdate"
   $destWinPE = ""
   $destMountPE = ""
   $SQ = "'"
   $DQ = """"
   $CMD_EXE = "cmd.exe"
   $success = "1"
   $fail = "2"
   $tempFolderPath = ""
   $pathToStatusFile = ""
   $wimFileName = ""
   $destWimFolderPath = ""
   $destMountFolderPath = ""
   $wimFileWithoutExtension = ""
   $offlineRegLoadPAth = "HKLM\WinPEReg"
   try
   {

        #$path = Join-Path ([System.IO.Path]::GetTempPath()) ([System.IO.Path]::GetRandomFileName())

         #while path already exists, create a new path
        # while(Test-Path $path) {
         #  $path = Join-Path ([System.IO.Path]::GetTempPath()) ([System.IO.Path]::GetRandomFileName())
        #}
        #create directory with generated path
        #New-Item -ItemType Directory -Path $path

        $vGSharePath =[System.IO.Path]::GetTempPath()
        $wimSharePath = join-path $vGSharePath $vgWimFolder
        write-host "VG wim Shre path is"  $wimSharePath
        $n = Get-Date -format "yyyy-MM-dd-HH-mm-ss"
        $uniqueFolderName = $n
        write-host "uniqueFolderName: "  $uniqueFolderName
        $basePathToMount = join-path $vGSharePath "Log"
        write-host "Create temporary folders for copying thw wim file and mouting it"
        $mount=  Join-Path $basePathToMount  $tempMountFolder | Join-Path -ChildPath $uniqueFolderName 
     
        write-host "Mount: " $mount
        [system.io.directory]::CreateDirectory($mount)
        $winp =Join-Path $basePathToMount  $tempWinPeFolder | Join-Path -ChildPath $uniqueFolderName 

        $extn= $CustomIsoName.Substring($CustomIsoName.length - $isoExtn.length);

        if($extn.toLower().equals($isoExtn.toLower()) -or $extn.toLower().equals($WIMEXTN.toLower()) ){
       
            $updatedWimFolderName = $CustomIsoName.Remove($CustomIsoName.Length - $isoExtn.Length, $isoExtn.Length);
        }                    
        else
        {
            $updatedWimFolderName = $CustomIsoName;
        }
        $remoteWim= [System.IO.Path]::GetDirectoryName($WimPath)
        $updatedWimFilePath = [io.path]::combine($remoteWim,$updatedWimFolderName);
        write-host "updated WimFilePath is:"  $updatedWimFilePath

        [system.io.directory]::CreateDirectory($winp)
        write-host "Winp: " $winp
        [system.io.directory]::CreateDirectory($updatedWimFilePath)
        $destWimFolderPath =Join-Path $basePathToMount $tempWinPeFolder
        write-host "Dest Wim Folder Path: " $destWimFolderPath
        $destMountFolderPath = Join-Path $basePathToMount $tempMountFolder
        write-host "Dest Mount Folder Path: " $destMountFolderPath
        $destMountPE = Join-Path $basePathToMount $tempMountFolder | Join-Path -ChildPath $uniqueFolderName
        write-host "Dest unique Mount Folder Path: " $destMountPE
        $tempFolderPath = Join-Path $basePathToMount $tempFolder
        write-host "Temp Folder Path: " $tempFolderPath
        #Status file to store thr result of powershell that runs asynchronously
        $log=".log"
        $fullJobName="$JobName$log"
        $pathToStatusFile = Join-Path $tempFolderPath  $fullJobName  
        write-host "path To StatusFile: " $pathToStatusFile
        $splitChar = '\.';
        $wimFileName = [System.IO.Path]::GetFileName($WimPath)
        write-host "Wim File Name: " $wimFileName
        $split = $wimFileName -split $splitChar
        write-host "Split: " $split
        $wimFileWithoutExtension = $split[0]
         write-host "Wim File Without Extension: "+$wimFileWithoutExtension
        $destWinPE = Join-Path $basePathToMount  $tempWinPeFolder | Join-Path -ChildPath $uniqueFolderName | Join-Path -ChildPath $wimFileName
        write-host "DestWinPE: " $destWinPE
        write-host "WinPE  "  $WimPath
        #Copy to local folder
        Copy-Item $WimPath $destWinPE
        write-host "Copy done: "
       
                    
        $WinPeKeyPath = Join-Path "HKLM\WinPEReg" $winPeKeyPath
        $updatedWimFileName =[System.String]::Concat([System.String]::Concat([System.String]::Concat($wimFileWithoutExtension, "_"), $JobName), ".wim")
        write-host "WinPE Updated File name is "  $updatedWimFileName

        $tempWinpeFolderPath =(get-item $destWinPE).Directoryname
        write-host "temp Winpe FolderPath: "  $tempWinpeFolderPath
        $sourcefilepath = Join-Path $tempWinpeFolderPath $wimFileName
        write-host "source filepath: "  $sourcefilepath
        $pathToRegFile = Join-Path $destMountPE "Windows\System32\config\SOFTWARE"
        write-host "path ToRegFile: "  $pathToRegFile
        $dtkTilldellFolder = [io.path]::combine($DTKPath, $dellFolder);
        write-host  "DTK path:"  $dtkTilldellFolder
        #Get the powershelil.exe path from registry
        $pathToPowershellExe = GetPowershellExecutablePath "Dummy"
        write-host  "path To PowershellExe:"  $pathToPowershellExe 
        $ToolKitPath = GetADKPath "Dummy"
        write-host  "ToolKitPath:"  $ToolKitPath
        $DISMPath = ""
        if ($ToolKitPath.ToUpper().contains("AIK"))
        {
            $DISMPath = Join-Path $ToolKitPath "Tools\Servicing"                      
        }
        else
        {
            $DISMPath = Join-Path $ToolKitPath "Assessment and Deployment Kit\Deployment Tools\amd64\DISM"                       
        }
        write-host "DISM Path:" + $DISMPath
        if ($ToolKitPath.ToUpper().Contains("AIK"))
        {
          write-host "WINPE 3.X Injection - Starting"
          $dtkSharePath = Join-Path $vGSharePath  $vgDTKFolder
          #WINPE3XDriverInjection(DISMPath, destWinPE, destMountPE, dtkSharePath, pathToStatusFile);
          write-host "WINPE 3.X Injection - Completed"
        }
        else
        {
            #WinPE Script to inject drivers:-

        try{
                #import-module 'C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\amd64\DISM';
                #$env:path=$env:Path + ';$DISMPath';
                write-host $destWinPE
                Get-WindowsImage -ImagePath $destWinPE |  Foreach-Object { $imageDetail = $_;
                Get-WindowsImage -ImagePath $destWinPE -name $imageDetail.ImageName } |  Foreach-Object {$detailImageInfo = $_; 
                if ($detailImageInfo.architecture -eq '9') { $arch = 'x64'} ; 
                if ($detailImageInfo.architecture -eq '0') { $arch = 'x86' }};
                write-host  "ARCH: " $arch
                Mount-WIndowsImage -ImagePath $destWinPE -index 1 -path $destMountPE;
                write-host  $offlineRegLoadPAth
                write-host  $pathToRegFile
                write-host  $WinPeKeyPath
               
                $loadres = REG LOAD $offlineRegLoadPAth $pathToRegFile; 
                $resload = REG QUERY $WinPeKeyPath /v version; 
                $split = $resload.Split(' ',[StringSplitOptions]'RemoveEmptyEntries')[4]; 
                $FullVersion = $split -split '\.' ; 
                write-host  "Load"
                $Version= $FullVersion[0]; 
                write-host  $Version
                $pathVersion='Drivers\winpe'+$Version+'.x';
                write-host  "Drivers Path: " $pathVersion
                $driverPath = Join-Path -Path $dtkTilldellFolder $arch;
                $driverpathfull = Join-Path -Path $driverPath $pathVersion;
                write-host $driverpathfull
                REG UNLOAD $offlineRegLoadPAth; 
                $retAddDriver = Add-WindowsDriver -Path $destMountPE -Driver $driverpathFull -Recurse -ForceUnsigned; 
                Dismount-WindowsImage -Path $destMountPE -save;  
                write-host  "Dism mount done"
                Move-Item -Force $destWinPE $updatedWimFilePath ;
                write-host  "copying dne" 
                $out =$success| Out-File -FilePath $pathToStatusFile -Append ; 
                write-host  "success log file write done"  
                Remove-Item -Recurse -Force $destMountFolderPath;
                write-host  "remove mount dir"
                Remove-Item -Recurse -Force $destWimFolderPath;
                write-host  "remove winpe dir"
                write-host $success
                return $true
             } 
             catch [system.exception] { 
                 $res = $fail;
                 $res | Out-File -FilePath $pathToStatusFile -Append;
                 write-host  "fail log file write done"  
                 Dismount-WindowsImage -path $destMountPE -Discard; 
                 write-host  "Dism mount done"
                 Remove-Item -Recurse -Force $destMountFolderPath;
                 write-host  "Removed mount dir"
                 Remove-Item -Recurse -Force $destWimFolderPath;
                 write-host  "Remove winpe dir"
                 write-host $fail
                 return $false
             }
                      
        }
   }
   catch [system.exception]
   {

    $returnval =  "FAIL" 
    $returnval = $returnval + " PerformWinPeUpdate:Mount failed "+$_.Exception.Message 
    return $false       
   }

   return $true
}


Function GetPowershellExecutablePath($arg)
 {
            write-host "Entering GetPowershellExecutablePath"
            $pRegKeyPowerShell = ""
            $reg=@()
            if( [Environment]::Is64BitOperatingSystem ) {
                $reg = [Microsoft.Win32.RegistryView]::Registry64
              } else {
                $reg = [Microsoft.Win32.RegistryView]::Registry32
              }
            $localMachineRegistry = [Microsoft.Win32.RegistryKey]::OpenBaseKey([Microsoft.Win32.RegistryHive]::LocalMachine,$reg)

 
             if ($null -ne $localMachineRegistry)
             {
               $pRegKeyPowerShell = $localMachineRegistry.OpenSubKey("Software\Microsoft\PowerShell\1\ShellIds\\Microsoft.PowerShell\").GetValue("Path")
               if ($null -ne $pRegKeyPowerShell){
                      write-host "Powershell exe path is : "  $pRegKeyPowerShell
                      return $pRegKeyPowerShell
               }
              }

            write-host "Exiting GetPowershellExecutablePath"

            return $pRegKeyPowerShell
 }


 # Create obj
Function Createcredobj($username, $passwd)
{

    try
    {
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
        $mycredsobj = $null
    }

    return $mycredsobj

}

$funDef = "function GetADKPath { ${function:GetADKPath} }; function CheckIfWimPathOrIsoExist { ${function:CheckIfWimPathOrIsoExist}};function DtkDellFolder { ${function:DtkDellFolder} }; function checkInputParamExist { ${function:checkInputParamExist}};function PerformWinPeUpdate { ${function:PerformWinPeUpdate} }; function GetPowershellExecutablePath { ${function:GetPowershellExecutablePath} }"

$message=@()

$sccmCred= Createcredobj $DelUserName $DelPwd
$message= Invoke-Command -ArgumentList ($funDef,$WimPath,$DTKPath,$CustomIsoName,$JobName) -ComputerName $VMMServerHost -Credential $sccmCred -ScriptBlock{
           	 
            Param( $funDef,$WimPath,$DTKPath,$CustomIsoName,$JobName )

            . ([ScriptBlock]::Create($funDef))
           
            $CMD_EXE="cmd.exe" 
            $DEPLOYMENT_TOOLS_PATH = "Assessment and Deployment Kit\Deployment Tools\" 
            $fullPathToDandISetEnv = $DEPLOYMENT_TOOLS_PATH + "DandISetEnv.bat"
            $_WINPEENV = "_winpeenv" 
            $DOUBLE_QUOTE = """" 
            $WINS_PREINSTALLATION_ENV = "Assessment and Deployment Kit\Windows Preinstallation Environment\"
            $WAIK_PREINSTALLATION_ENV = "Tools\PETools\" 
            $WINPEENV_WIM_FILE_PATH = "media\sources\" 


            $basePathToMount = " " 
            $dtkTilldellFolder = " " 
            $uniqueFolderName = " " 
            $tempMountFolder = "temp\Mount" 
            $tempWinPeFolder = "temp\WinPE" 
            $tempFolder = "temp" 
            $dellFolder = "dell" 
            $winPeKeyPath = "Microsoft\Windows NT\CurrentVersion\WinPE" 
            $updatedWimFilePath = " " 
            $isoExtn = ".iso" 
            $WIMEXTN = ".wim" 
            $vgIsoFolder = "ISO" 
            $vgWimFolder = "WIM" 
            $vgDTKFolder = "DTK" 
            $returnval=@()

            $ret = GetADKPath "Dummy"
            if($ret -match "installed"){
                $returnval =   $returnval  + "FAIL"
                $returnval = $returnval + "Status:ADK is not installed on the share system." 
				write-host "Return value coming from ADK Path: " +$ret
				write-host "Returning from WINPEDriverInjectionSCCM : " +$returnval
                return $returnval;

	     }
            $ret=CheckIfWimPathOrIsoExist $updatedWimFilePath
            #$ret=$false;
	     if ($ret)
            {
                $returnval =   $returnval  + "FAIL"
                $returnval = $returnval + "Status:Either the Wim folder or the custom iso file is already present.Ensure that folder with the name of Iso is not present inside the Wim directory and also there is no iso file with that name inside the ISO directory." 
                write-host "Returning from WINPEDriverInjectionSCCM : " +$returnval
				return $returnval;
            }
            $ret=checkInputParamExist "Dummy"
            #$ret=$true;
            if ( $ret -eq  $false)
            {
         
                $returnval =   $returnval  + "FAIL"
                $returnval = $returnval + "Status:Either WinPE OR DTK path does not exist.Please make sure that the path is correct."
				write-host "Returning from WINPEDriverInjectionSCCM : " +$returnval
                return $returnval;
             }

            try
            {
               $ret= PerformWinPeUpdate "Dummy"
		 #$ret=$true;
               if ( $ret -eq  $true)
                {
                 $returnval =   $returnval  + "SUCCESS"
                 $returnval = $returnval + "Status:SCVMM Driver Injection Successful!" 
                }
                else{
                $returnval =   $returnval  + "FAIL"
                 $returnval = $returnval + "Status:SCVMM Driver Injection FAIL!"
				 }

               
            }
            catch [system.exception]
            {
	             $returnval =  $returnval  + "FAIL"
                 $returnval= $returnval+ "Status:Mount failed "    
		    }
			
	 write-host "Returning from WINPEDriverInjectionSCCM : " +$returnval
     return $returnval
	}
$returnval2=@()
if($message -match "SUCCESS"){
    $returnval2=$returnval2 + "SUCCESS"
    $returnval2=$returnval2 + $message
	 write-host "Returning from WINPEDriverInjectionSCCM : " +$returnval2
    return $returnval2
}else{
    $returnval2=$returnval2 + "FAIL"
    $returnval2=$returnval2 + $message
	 write-host "Returning from WINPEDriverInjectionSCCM: " +$returnval2
    return $returnval2
}

#return $message
